#
# spec file for package obs-service-source_validator
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obs-service-source_validator
Summary:        An OBS source service: running all the osc source-validator checks
License:        GPL-2.0+
Group:          Development/Tools/Building
Summary:        An OBS source service: defines all source-validator checks used by Factory
Group:          Development/Tools/Building
Version:        0.2
Release:        7.1
# From git@github.com:openSUSE/obs-service-source_validator.git
Source:         %{name}-%{version}.tar.bz2
Requires:       perl-TimeDate
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       perl-TimeDate
Provides:       osc-source_validator = %version
Obsoletes:      osc-source_validator <= 0.1
%if %suse_version > 1210
Requires:       rpm-build
%endif

%description
This is a source service for openSUSE Build Service.

This service runs all checks as required by openSUSE:Factory project. This can be used
to guarantee that all checks succeed also on the service side. This plugin can be
used via project wide defined services.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/obs/service/source_validators/
install -m 0755 source_validator $RPM_BUILD_ROOT%{_prefix}/lib/obs/service
install -m 0644 source_validator.service $RPM_BUILD_ROOT%{_prefix}/lib/obs/service
cp -a [0-9]* helpers %{buildroot}%{_prefix}/lib/obs/service/source_validators

%files
%defattr(-,root,root)
%doc COPYING
%dir /usr/lib/obs
/usr/lib/obs/service

%changelog
* Mon Feb 27 2012 dmueller@suse.de
- fix requires for factory
* Tue Feb 14 2012 adrian@suse.de
- add requires to perl-TimeDate
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Feb 13 2012 ro@suse.com
- do not complain for commented out rpmlintrc lines
- Update 20-files-present-and-referenced to ignore .git and
  .emacs.backup
- Change bright yellow into good old brown
* Fri Sep 23 2011 adrian@suse.de
- rename osc-source_validator package into osc-service-source_validator
- obsolete osc-source_validator
- roll tar ball from new git at github.com
* Fri Jul  1 2011 ro@suse.de
- prevent dupes for Release and Version along with Name
* Mon May 30 2011 ro@suse.de
- fix bug with "Patch" in comments
* Mon May  9 2011 ro@novell.com
- try to fix bnc#679980
* Wed Apr 20 2011 ro@suse.de
- find another form of commenting out patches
  in check_patches_applied
* Mon Apr 18 2011 ro@suse.de
- Also check if files are tracked by osc
- catch some more syntax variants in check_patches_applied
- do tracked-check only in osc mode
* Tue Apr 12 2011 ro@suse.de
- activate the patches_applied check for real,
  errors out if errors found
* Mon Apr  4 2011 ro@suse.de
- add debian special files
* Wed Mar 30 2011 ro@suse.de
- add colors to output of check_patches_applied
  but no colors for batchmode
* Fri Feb 18 2011 jw@novell.com
- retry broken sr#59008
- added another set of runtime-fixes.diff
  * accept .orig and ~ files in working directories.
  * UI consistency improved.
* Sat Feb 12 2011 ro@novell.com
- 50-spec-version: show warning only once per specfile
* Thu Jan 13 2011 ro@suse.de
- move COPYING file to docdir (prevent permission denied trying
  to execute it as a checkscript)
* Thu Jan 13 2011 ro@suse.de
- switch source to git (gitorious/opensuse)
- convert_changes_to_rpm_changelog make regex a little stricter
  looking for date line
- 20-files-present-and-referenced add %%rubygems_requires to
  prunelist
- add some helper files to create tar and changes
- stale-changes: do not fail if there is no specfile present at all
- stale-changes: allow extra changes files if listed as source in a
  spec
* Tue Jan  4 2011 mcihar@suse.cz
- add Url pointing to wiki to spec file
* Tue Jan  4 2011 mcihar@suse.cz
- cleanup spec file using spec-cleaner
* Tue Jan  4 2011 mcihar@suse.cz
- create 0.1 tarball with incorporated patch and added license file
- adjust spec file for above changes
* Mon Oct  4 2010 adrian@suse.de
- do not complain about files starting with underscore, they are
  OBS special files in any case
* Sat May 22 2010 adrian@suse.de
- add some modification to survive some more examples
* Thu May 20 2010 ro@suse.de
- make the files executable
* Thu May 20 2010 ro@suse.de
- fill with some content
* Thu May 20 2010 adrian@suse.de
- initial package, no code yet, always succeeding
